import React from 'react';
import { CheckboxOnChange, CheckboxState } from './types';
export declare function useControlledStateSetter<ControlledPropsType extends object>(controlledProps: ControlledPropsType | undefined): void;
export interface UseTableCheckboxStateParameter {
    checkboxState: Record<string, CheckboxState>;
    onCheckboxChange: CheckboxOnChange;
    filteredDataLength: number;
    data: any[];
}
export declare function useTableCheckboxState(param?: UseTableCheckboxStateParameter): {
    createBulkCheckboxClickHandler: (type?: "add" | "remove" | undefined, checkboxInfo?: {
        idProp: string;
        checkboxProp: string;
    } | undefined) => (event: React.MouseEvent<HTMLElement>) => void;
    createColumnCheckboxClickHandler: ({ checkboxProp, idProp, rowIdx }: {
        checkboxProp: string;
        idProp: string;
        rowIdx: number;
    }) => (event: React.ChangeEvent<HTMLInputElement>) => void;
    createHeaderCheckboxClickHandler: ({ checkboxProp, idProp }: {
        checkboxProp: string;
        idProp: string;
    }) => (event: React.ChangeEvent<HTMLInputElement>) => void;
};
